## ev-view

ev-view

## Functions

GtkWidget * | ev_view_new ()
void | ev_view_set_model ()
void | ev_view_set_loading ()
void | ev_view_reload ()
void | ev_view_copy ()
void | ev_view_copy_link_address ()
void | ev_view_select_all ()
gboolean | ev_view_get_has_selection ()
gboolean | ev_view_can_zoom_in ()
void | ev_view_zoom_in ()
gboolean | ev_view_can_zoom_out ()
void | ev_view_zoom_out ()
void | ev_view_find_next ()
void | ev_view_find_previous ()
void | ev_view_find_search_changed ()
void | ev_view_find_set_highlight_search ()
void | ev_view_find_changed ()
void | ev_view_find_cancel ()
void | ev_view_hide_cursor ()
void | ev_view_show_cursor ()
void | ev_view_scroll ()
void | ev_view_handle_link ()
gboolean | ev_view_next_page ()
gboolean | ev_view_previous_page ()
void | ev_view_autoscroll_start ()
void | ev_view_autoscroll_stop ()

## Signals

void | annot-added | Action
void | binding-activated | Action
void | external-link | Action
void | handle-link | Action
void | layers-changed | Action
void | popup | Action
void | selection-changed | Action
void | sync-source | Action

## Types and Values

| EvView
| EvViewClass
enum | EvViewSelectionMode

## Object Hierarchy

        GEnum
        ╰── EvViewSelectionMode
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkLayout
                            ╰── EvView

## Implemented Interfaces

EvView implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ev_view_new ()

    GtkWidget *
    ev_view_new (void);

### ev_view_set_model ()

    void
    ev_view_set_model (EvView *view,
                       EvDocumentModel *model);

### ev_view_set_loading ()

    void
    ev_view_set_loading (EvView *view,
                         gboolean loading);

### ev_view_reload ()

    void
    ev_view_reload (EvView *view);

### ev_view_copy ()

    void
    ev_view_copy (EvView *view);

### ev_view_copy_link_address ()

    void
    ev_view_copy_link_address (EvView *view,
                               EvLinkAction *action);

### ev_view_select_all ()

    void
    ev_view_select_all (EvView *view);

### ev_view_get_has_selection ()

    gboolean
    ev_view_get_has_selection (EvView *view);

### ev_view_can_zoom_in ()

    gboolean
    ev_view_can_zoom_in (EvView *view);

### ev_view_zoom_in ()

    void
    ev_view_zoom_in (EvView *view);

### ev_view_can_zoom_out ()

    gboolean
    ev_view_can_zoom_out (EvView *view);

### ev_view_zoom_out ()

    void
    ev_view_zoom_out (EvView *view);

### ev_view_find_next ()

    void
    ev_view_find_next (EvView *view);

### ev_view_find_previous ()

    void
    ev_view_find_previous (EvView *view);

### ev_view_find_search_changed ()

    void
    ev_view_find_search_changed (EvView *view);

### ev_view_find_set_highlight_search ()

    void
    ev_view_find_set_highlight_search (EvView *view,
                                       gboolean value);

### ev_view_find_changed ()

    void
    ev_view_find_changed (EvView *view,
                          GList **results,
                          gint page);

### ev_view_find_cancel ()

    void
    ev_view_find_cancel (EvView *view);

### ev_view_hide_cursor ()

    void
    ev_view_hide_cursor (EvView *view);

### ev_view_show_cursor ()

    void
    ev_view_show_cursor (EvView *view);

### ev_view_scroll ()

    void
    ev_view_scroll (EvView *view,
                    GtkScrollType scroll,
                    gboolean horizontal);

### ev_view_handle_link ()

    void
    ev_view_handle_link (EvView *view,
                         EvLink *link);

### ev_view_next_page ()

    gboolean
    ev_view_next_page (EvView *view);

### ev_view_previous_page ()

    gboolean
    ev_view_previous_page (EvView *view);

### ev_view_autoscroll_start ()

    void
    ev_view_autoscroll_start (EvView *view);

### ev_view_autoscroll_stop ()

    void
    ev_view_autoscroll_stop (EvView *view);

## Types and Values

### EvView

    typedef struct _EvView EvView;

### EvViewClass

    typedef struct _EvViewClass EvViewClass;

### enum EvViewSelectionMode

#### Members

EV_VIEW_SELECTION_TEXT |  |
EV_VIEW_SELECTION_RECTANGLE |  |

## Signal Details

### The `“annot-added”` signal

    void
    user_function (EvView       *evview,
                   EvAnnotation *arg1,
                   gpointer      user_data)

Flags: Action

### The `“binding-activated”` signal

    void
    user_function (EvView       *evview,
                   GtkScrollType arg1,
                   gboolean      arg2,
                   gpointer      user_data)

Flags: Action

### The `“external-link”` signal

    void
    user_function (EvView  *evview,
                   GObject *arg1,
                   gpointer user_data)

Flags: Action

### The `“handle-link”` signal

    void
    user_function (EvView  *evview,
                   GObject *arg1,
                   gpointer user_data)

Flags: Action

### The `“layers-changed”` signal

    void
    user_function (EvView  *evview,
                   gpointer user_data)

Flags: Action

### The `“popup”` signal

    void
    user_function (EvView  *evview,
                   gpointer arg1,
                   gpointer user_data)

Flags: Action

### The `“selection-changed”` signal

    void
    user_function (EvView  *evview,
                   gpointer user_data)

Flags: Action

### The `“sync-source”` signal

    void
    user_function (EvView  *evview,
                   gpointer arg1,
                   gpointer user_data)

Flags: Action